/*
 * $Id: glaux.h,v 1.2 1998/01/16 02:28:47 brianp Exp $ 
 */

/*
 * Mesa - a 3-D graphics library
 * Version:  2.6
 * Copyright (C) 1995-1996  Brian Paul
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Library General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Library General Public License for more details.
 *
 * You should have received a copy of the GNU Library General Public
 * License along with this library; if not, write to the Free
 * Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

extern void auxInitDisplayMode(GLbitfield);
extern void auxInitPosition(int, int, int, int);
extern GLenum auxInitWindow(char *);
extern void auxCloseWindow(void);
extern void auxQuit(void);
extern void auxSwapBuffers(void);
extern void *auxAOSWindow(void);
extern void *auxAOSScreen(void);
extern void *auxAOSContext(void);
extern void auxMainLoop(void (*)(void));
extern void auxExposeFunc(void (*)(int, int));
extern void auxReshapeFunc(void (*)(int, int));
extern void auxIdleFunc(void (*)(void));
extern void auxKeyFunc(int, void (*)(void));
extern void auxMouseFunc(int, int, void (*)(AUX_EVENTREC *));
extern void auxDeleteMouseFunc(int, int, void (*)(AUX_EVENTREC *));
extern int auxGetColorMapSize(void);
extern void auxGetMouseLoc(int *, int *);
extern void auxSetOneColor(int, float, float, float);
extern void auxSetFogRamp(int, int);
extern void auxSetGreyRamp(void);
extern void auxSetRGBMap(int, float *);
extern AUX_RGBImageRec *auxRGBImageLoad(char *);
extern void auxCreateFont(void);
extern void auxDrawStr(char *);
extern void auxWireSphere(GLdouble);
extern void auxSolidSphere(GLdouble);
extern void auxWireCube(GLdouble);
extern void auxSolidCube(GLdouble);
extern void auxWireBox(GLdouble, GLdouble, GLdouble);
extern void auxSolidBox(GLdouble, GLdouble, GLdouble);
extern void auxWireTorus(GLdouble, GLdouble);
extern void auxSolidTorus(GLdouble, GLdouble);
extern void auxWireCylinder(GLdouble, GLdouble);
extern void auxSolidCylinder(GLdouble, GLdouble);
extern void auxWireIcosahedron(GLdouble);
extern void auxSolidIcosahedron(GLdouble);
extern void auxWireOctahedron(GLdouble);
extern void auxSolidOctahedron(GLdouble);
extern void auxWireTetrahedron(GLdouble);
extern void auxSolidTetrahedron(GLdouble);
extern void auxWireDodecahedron(GLdouble);
extern void auxSolidDodecahedron(GLdouble);
extern void auxWireCone(GLdouble, GLdouble);
extern void auxSolidCone(GLdouble, GLdouble);
extern void auxWireTeapot(GLdouble);
extern void auxSolidTeapot(GLdouble);
extern void auxInitDisplayModePolicy(GLenum type);
extern GLenum auxGetDisplayModePolicy(void);
extern GLenum auxInitDisplayModeID(GLint id);
extern GLint auxGetDisplayModeID(void);
extern GLenum auxGetDisplayMode(void);
extern void auxGetScreenSize(GLint * width, GLint * height);
extern void auxAnimation(GLint flag);
